Images are not scoped to taxonomies
Description

Because organization and location are required when creating a host through UI, this results in 'No items to show' in image dropdown

when viewing Operating systems tab.

Steps to reproduce:

1) create image for Compute resource that can create hosts from images (Amazon, VmWare, ...)

2) create new host through UI - choose name, organization, location, deploy on, compute profile in host tab

3) move to operating system tab, select image based provisioning

4) notice there are no images in image dropdown

History

#1 - 10/10/2016 05:54 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3930 added

#2 - 10/10/2016 06:06 AM - Dominic Cleal

Can you show logs of the problem? It'd be useful to see precisely how taxonomies are related.

It's unclear that adding taxonomies to another object (esp. one that belongs to already-scoped objects) is needed. This reads like a simpler bug or

even a regression.

#3 - 10/11/2016 04:33 AM - Ondřej Pražák

- Status changed from Ready For Testing to Rejected

You were right, it is not related to taxonomies, the problem comes from Katello. I opened #16855 to fix it.
